//------------------------------------------------------------------------------------
// irr::gui::IGUIInOutFader wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------
extern "C" 
{
	bool IrrGUI_IGUIInOutFader_isReady(IGUIInOutFader* fader)
	{
		if (fader)
			return fader->isReady();
		else return false;
	}
	
	void IrrGUI_IGUIInOutFader_fadeIn(IGUIInOutFader* fader,u32 time)
	{
		if (fader)
			fader->fadeIn(time);
	}
	
	void IrrGUI_IGUIInOutFader_fadeOut(IGUIInOutFader* fader,u32 time)
	{
		if (fader)
			fader->fadeOut(time);
	}
	
	SColor* IrrGUI_IGUIInOutFader_getColor(IGUIInOutFader* fader)
	{
		if (fader)
			return new SColor(fader->getColor());
		else return 0;
	}
	
	void IrrGUI_IGUIInOutFader_setColor(IGUIInOutFader* fader,SColor* color)
	{
		if (fader)
			fader->setColor(*color);
	}
	
	void IrrGUI_IGUIInOutFader_setColorSourceDest(IGUIInOutFader* fader,SColor* source, SColor* dest)
	{
		if (fader)
			fader->setColor(*source,*dest);
	}
}	
